Bug 80634 - usermode-gtk keyboard focus problem
usermode-gtk keyboard focus problem
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: usermode (Show other bugs)
1
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-29 02:30 EST by Warren Togami
Modified: 2013-07-02 18:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-01 09:57:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stay on top patch (590 bytes, patch)
2005-11-30 15:06 EST, Pierre Ossman
no flags Details | Diff

  None (edit)
Description Warren Togami 2002-12-29 02:30:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
If you are non-root and run a system application, usermode-gtk "Query" dialog
pops up.  It grabs keyboard focus from anything else on the screen.  This can be
confusing to end-users if they accidentally pop a window in front of this query
dialog.

Version-Release number of selected component (if applicable):
Phoebe

How reproducible:
Always

Steps to Reproduce:
1. Run anything that needs usermode-gtk /usr/sbin/userhelper
2. Accidentally pop any window in front of this dialog
3. Attempt to type
Comment 1 Mattias Dahlberg 2003-01-09 10:46:22 EST
I'd say consolehelper-gtk grabs more than that. While it's on screen you can't 
type anything in gnome-terminal and nothing happens if you click on the GNOME 
(aka Red Hat) menu, etc.

Feels more severe than "low" to me.
Comment 2 Nalin Dahyabhai 2004-02-09 17:24:53 EST
The consolehelper binary grabs input to keep users from accidentally
typing their passwords into windows which pop up (the scenario as it
was described to me was "window pops up, user looks down at keyboard
and starts typing, looks up and finds the password has gone somewhere
else").  I don't know that it's possible to reconcile these concerns.
Comment 3 Warren Togami 2004-02-14 21:44:14 EST
I think I have seen other operating systems make a window "Always on
Top" in order to avoid issues like this.  Would it be possible (or a
good thing) to make the password window so you can't unfocus it
without clicking Cancel or closing it?
Comment 4 Pierre Ossman 2005-11-30 10:19:32 EST
I agree that modal would be nice. But not as essential as making it 'Always on
top' (which doesn't imply modal). With the new focus behaviour, the query box
can end up below all other windows. Very confusing to type stuff without any
feedback.
Comment 5 Pierre Ossman 2005-11-30 15:06:16 EST
Created attachment 121651 [details]
stay on top patch

Patch implementing said feature. Please review.
Comment 6 Jindrich Novy 2005-12-01 08:32:07 EST
Pierre, thanks for the patch. It's now applied.

Note You need to log in before you can comment on or make changes to this bug.